%define		_modname	ares
%define		_status		beta
Summary:	%{_modname} - asynchronous resolver
Summary(pl.UTF-8):	%{_modname} - asynchroniczny resolver
Name:		php-pecl-%{_modname}
Version:	0.7.0
Release:	5
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	24ec2e3089246bab68d01af9c93a1dc7
Patch0:		%{name}-tsrm.patch
URL:		http://pecl.php.net/package/ares/
BuildRequires:	c-ares-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding for the ares (MIT) or c-ares (CURL) library.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Dowiązania do biblioteki ares (MIT) lub c-ares (CURL).

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%patch0 -p1

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 18ba4f2
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 54d529a
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b26b228
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 813cee8
- release 2

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> f80f50a
- new

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> a0690a4
- updated to 0.7.0

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 904205e
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 79320bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17b689f
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> f2e6ab0
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6489bf7
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> bf69c3d
- updated to 0.6.0

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9b2e4f6
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> 2890831
- new

